Show / Hide Table of Contents

# Class PluginInitInjector

The type that handles value injecting into a plugin's Init.

##### Inheritance

Object
PluginInitInjector

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Loader

###### Assembly: IPA.Loader.dll

##### Syntax

    public static class PluginInitInjector

### Methods

| Improve this Doc View Source

#### AddInjector(Type, PluginInitInjector.InjectParameter)

Adds an injector to be used when calling future plugins' Init methods.

##### Declaration

    public static void AddInjector(Type type, PluginInitInjector.InjectParameter injector)

##### Parameters

Type | Name | Description
--- | --- | ---
Type | type | the type of the parameter.
PluginInitInjector.InjectParameter | injector | the function to call for injection.